Bug 112166 - Crash on previewing slide fade transition with Intel graphics card in a VM
Summary: Crash on previewing slide fade transition with Intel graphics card in a VM
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: All All
: medium major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.1.2
Keywords: bibisectRequest, regression
Depends on:
Blocks: Slide-Transitions Graphics-Card Virtual-Machine
  Show dependency treegraph
 
Reported: 2017-09-01 18:30 UTC by jebsolutions
Modified: 2018-08-28 14:45 UTC (History)
5 users (show)

See Also:
Crash report or crash signature: ["non-virtual thunk to X11OpenGLSalGraphicsImpl::RenderPixmapToScreen(X11Pixmap*, X11Pixmap*, int, int)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jebsolutions 2017-09-01 18:30:10 UTC
http://crashreport.libreoffice.org/stats/crash_details/7d333c11-7171-4206-b811-b0004d0a8cf6#details

This can be 100% reproduced under VirtualBox (Lubuntu 16.04 /w latest HWE kernel, + 3d acceleration /w 128mb graphics ram enabled in virtualbox).  

Same crash on Intel integrated video.

Crashes with Libroffice 5.4.0 and 5.4.1.

Libreoffice 5.3.4 doesn't crash.

To duplicate...make a two slide presentation.  Slide one has the title set to "one".  Slide two's title is the word "two" in red.  Contents of slides doesn't matter.  Select slide transition on the right panel.  Click fade icon.  Instant crash.  100% repeatable.  

Note: if I change my virtualbox settings to remove 3d acceleration it works.  I believe this is because it changes the Linux graphics driver to the MESA software rendering.  Even though hardware and opengl is disabled in Libreoffice clearly something OpenGL related in the transitions is still version specific and crashing.

Note: If I switch my laptop from integrated (intel integrated i7 2620m) to nvidia graphics the problem also goes away.  So again...something in the OpenGL fade transition is crashing.  Maybe you are calling openGL 3+ calls which crash the older drivers?

There are many bugs related to broken transitions going back multiple years.  :(  They are all broken in different ways (flashes, white screens/black screen, screen corruption, crashes) but they are all the same half-fixed bug in my opinion.
Comment 1 Jean-Baptiste Faure 2017-09-03 16:27:08 UTC
No crash for me with LO 5.4.1 from Ubuntu PPA and LO 5.4.2.0.0+ built at home under Ubuntu 16.04 x86-64. Both use GTK3 backend.

Please could you give the complete version informations: menu Help > About LibreOffice, right click then choose Select All, then copy, then paste here.

For me I get: 
Version: 5.4.1.2
Build ID: 1:5.4.1~rc2-0ubuntu0.16.04.1~lo0
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3; 
Locale: fr-FR (fr_FR.UTF-8); Calc: single

I guess these infos are in the crash report, but it is useful to have them here too.
Set status to NEEDINFO, please set it back to UNCONFIRMED once requested
informations are provided.

Best regards. JBF
Comment 2 jebsolutions 2017-09-05 05:59:43 UTC
Thank you for the reply.

I installed the .deb files from the Libreoffice website.

Version: 5.4.1.2
Build ID: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527
CPU threads: 1; OS: Linux 4.10; UI render: default; VCL: gtk2; 
Locale: en-US (en_US); Calc: group
Comment 3 Jean-Baptiste Faure 2017-09-05 07:44:13 UTC
Does it crash if you use the gtk3 backend ? To try that in a terminal:
$export SAL_USE_VCLPLUGIN="gtk3"
$libreoffice

Set status to NEEDINFO, please set it back to UNCONFIRMED once requested
informations are provided.

Best regards. JBF
Comment 4 jebsolutions 2017-09-26 01:45:55 UTC
Jean-Baptiste Faure,

Thank you for your feedback.

As requested, I ran: export SAL_USE_VCLPLUGIN="gtk"

I started libreoffice with: libreoffice5.4

Still crashes as soon as I click the fade slide transition.
Comment 5 jebsolutions 2017-09-26 01:47:11 UTC
Crash report for this run:

crashreport.libreoffice.org/stats/crash_details/9ba57fd6-aea0-4c55-b756-12b400be158b
Comment 6 Timur 2017-09-26 17:52:03 UTC
Reproduced crash with LO dbg master with GL disabled in VM Ubuntu 16.04 with 3D acc. Intel video inside plus ATI.
Crash report: http://crashreport.libreoffice.org/stats/crash_details/1dad089c-2108-4818-879f-cfffb8d21fe3
Singe slide is enough and any title, no need to change color: http://crashreport.libreoffice.org/stats/crash_details/73428354-20ca-4c9f-a848-a4dbc08bf89b
But signature is different, my is libvclplug_genlo.so.
Anyway, I'll confirm this. First time I tested in Windows, not responding LO. After that, it worked. I wont' change All->Linux for a moment.
Comment 7 Timur 2017-09-26 18:13:06 UTC
Interesting 5.3.4 doesn't crash for jebsolutions. 
5.3.0 crashes for me and 4.2 and 4.4 don't. I'll mark regression and say it blocks Bug 103704. Not sure for Bug 93529.
Comment 8 Yousuf Philips (jay) (retired) 2017-09-26 23:46:38 UTC
(In reply to Timur from comment #6)
> Reproduced crash with LO dbg master with GL disabled in VM Ubuntu 16.04 with
> 3D acc. Intel video inside plus ATI.

Most slide transitions use OpenGL, the OpenGL that can be disabled in the options dialog is rendering of the UI with OpenGL.

@Meeks, @Tomaz: Any thoughts on this, as i could have swarn there was some bug that when a VM was set with a specific amount of memory or something like that, that it caused transition crashes.
Comment 9 jebsolutions 2017-10-07 01:21:19 UTC
I updated to 5.4.2 and the crash still exists:

crashreport.libreoffice.org/stats/crash_details/f5b5ff86-62b6-449b-b8cb-9d862920f90f
Comment 10 jebsolutions 2017-10-07 02:18:39 UTC
Tested on Windows 10 Professional.  Libreoffice 5.4.2 doesn't crash with Intel integrated video (i7-2620m).  But the single-frame flicker of showing the previous slide for a split second is still there.

Also, on Windows 10 the top menu (File, Edit, View, insert, Format, Slide...) seems to sometimes flicker or become invisible when I move the mouse over it.  It's like it's being redrawn unnecessarily.
Comment 11 jebsolutions 2018-01-26 22:43:55 UTC
crashreport.libreoffice.org/stats/crash_details/cb1ab943-d136-4f1b-b8ec-1a69061f6554

LibreOffice 6.0.0 RC3 DEB.
Still reproducible under Lubuntu / VirtualBox:

Steps to duplicate crash:
Start LibreOffice
Uncheck the "show this again" to the wizard
Click cancel to give me a blank empty document
on the right click on slide transition
Click fade
instant crash
Comment 13 Caolán McNamara 2018-08-18 19:05:40 UTC
I think
https://gerrit.libreoffice.org/#/c/59300/
and
https://gerrit.libreoffice.org/#/c/59298/
will make this not crash
Comment 14 Commit Notification 2018-08-19 10:15:59 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5295459d0aff98f6817769b2eef279115e4ffad0

tdf#112166 need to check if glXCreateContextAttribsARB really exists

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2018-08-28 13:53:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=43b5ac85b6e2e31d6505223ab6e29babb06ceafd&h=libreoffice-6-1

tdf#112166 need to check if glXCreateContextAttribsARB really exists

It will be available in 6.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2018-08-28 13:53:29 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=55b3854b663dfd8ef47f1dddd03fd3849804243d&h=libreoffice-6-1

Related: tdf#112166 require opengl >= 3.0 for slide transitions

It will be available in 6.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.